Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.ComplexControl

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyle.ComplexControl

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyle

    public static final class QStyle.ComplexControl

extends java.lang.Enum
implements QtEnumerator

This enum describes the available complex controls. Complex controls have different behavior depending upon where the user clicks on them or which keys are pressed.

See also:
  `SubControl` , and `drawComplexControl()`.

See Also:
  Serialized Form

Field Summary
`static QStyle.ComplexControl` | `CC_ComboBox` A combobox, like `QComboBox`.
`static QStyle.ComplexControl` | `CC_CustomBase` Base value for custom complex controls.
`static QStyle.ComplexControl` | `CC_Dial` A dial, like `QDial`.
`static QStyle.ComplexControl` | `CC_GroupBox` A group box, like `QGroupBox`.
`static QStyle.ComplexControl` | `CC_MdiControls` The minimize, close, and normal button in the menu bar for a maximized MDI subwindow.
`static QStyle.ComplexControl` | `CC_Q3ListView` Used for drawing the Q3ListView class.
`static QStyle.ComplexControl` | `CC_ScrollBar` A scroll bar, like `QScrollBar`.
`static QStyle.ComplexControl` | `CC_Slider` A slider, like `QSlider`.
`static QStyle.ComplexControl` | `CC_SpinBox` A spinbox, like `QSpinBox`.
`static QStyle.ComplexControl` | `CC_TitleBar` A Title bar, like those used in `QWorkspace`.
`static QStyle.ComplexControl` | `CC_ToolButton` A tool button, like `QToolButton`.
`static QStyle.ComplexControl` | `CustomEnum`

Method Summary
`static QStyle.ComplexControl` | `resolve(int value)` Returns the QStyle$ComplexControl constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.ComplexControl` | `valueOf(java.lang.String name)`
`static QStyle.ComplexControl[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CC_SpinBox

    public static final QStyle.ComplexControl CC_SpinBox

  A spinbox, like `QSpinBox`.

### CC_ComboBox

    public static final QStyle.ComplexControl CC_ComboBox

  A combobox, like `QComboBox`.

### CC_ScrollBar

    public static final QStyle.ComplexControl CC_ScrollBar

  A scroll bar, like `QScrollBar`.

### CC_Slider

    public static final QStyle.ComplexControl CC_Slider

  A slider, like `QSlider`.

### CC_ToolButton

    public static final QStyle.ComplexControl CC_ToolButton

  A tool button, like `QToolButton`.

### CC_TitleBar

    public static final QStyle.ComplexControl CC_TitleBar

  A Title bar, like those used in `QWorkspace`.

### CC_Q3ListView

    public static final QStyle.ComplexControl CC_Q3ListView

  Used for drawing the Q3ListView class.

### CC_Dial

    public static final QStyle.ComplexControl CC_Dial

  A dial, like `QDial`.

### CC_GroupBox

    public static final QStyle.ComplexControl CC_GroupBox

  A group box, like `QGroupBox`.

### CC_MdiControls

    public static final QStyle.ComplexControl CC_MdiControls

  The minimize, close, and normal button in the menu bar for a maximized MDI subwindow.

### CC_CustomBase

    public static final QStyle.ComplexControl CC_CustomBase

  Base value for custom complex controls. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.ComplexControl CustomEnum

Method Detail

### values

    public static QStyle.ComplexControl[] values()

### valueOf

    public static QStyle.ComplexControl valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.ComplexControl resolve(int value)

  Returns the QStyle$ComplexControl constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD